Skip to main content
POST
/
v1
/
workspaces
Create a workspace
curl --request POST \
  --url https://api.usezombie.com/v1/workspaces \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "repo_url": "<string>",
  "default_branch": "<string>"
}
'
{
  "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "repo_url": "<string>",
  "default_branch": "<string>",
  "install_url": "<string>",
  "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Obtain a token via the CLI auth flow (POST /v1/auth/sessions) or GitHub OAuth

Body

application/json
repo_url
string<uri>
required

Full GitHub repository URL (e.g. https://github.com/org/repo)

default_branch
string

Default branch name, defaults to 'main' if omitted

Response

Workspace created

workspace_id
string<uuid>
required

Unique workspace identifier

repo_url
string<uri>
required

Repository URL

default_branch
string
required

Default branch for the workspace

install_url
string<uri>
required

GitHub App installation URL — direct user here if the app is not yet installed

request_id
string<uuid>
required

Unique request identifier